%define upstream_name    File-FnMatch
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:	Simple filename and pathname matching
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/~mjp/%{upstream_name}-%{upstream_version}/FnMatch.pm
Source0:	http://search.cpan.org//CPAN/authors/id/M/MJ/MJP/File-FnMatch-0.02.tar.gz

BuildRequires:	perl-devel

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.004" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.004

%description
File::FnMatch::fnmatch() provides simple, shell-like pattern matching.

Though considerably less powerful than regular expressions, shell patterns
are nonetheless useful and familiar to a large audience of end-users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*




%changelog
* Mon Jun 06 2016 tv <tv> 0.20.0-19.mga6
+ Revision: 1020413
- unbloat default install: prevent pulling full perl...

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-18.mga6
+ Revision: 957319
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.20.0-17.mga6
+ Revision: 867845
- rebuild for new gcc

* Fri Jun 26 2015 tv <tv> 0.20.0-16.mga6
+ Revision: 844868
- rebuild for soname-ifed perl

* Tue Jun 23 2015 fwang <fwang> 0.20.0-15.mga6
+ Revision: 840453
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-14.mga5
+ Revision: 747093
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.20.0-13.mga5
+ Revision: 732136
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-12.mga5
+ Revision: 684731
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-11.mga5
+ Revision: 630737
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-10.mga4
+ Revision: 524075
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.20.0-9.mga4
+ Revision: 429930
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-8.mga3
+ Revision: 367256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 dmorgan <dmorgan> 0.20.0-7.mga3
+ Revision: 328992
- Rebuild for missing signature

* Sat Jun 11 2011 sander85 <sander85> 0.20.0-6.mga2
+ Revision: 103628
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.20.0-5.mga1
+ Revision: 23767
- rebuild

* Tue Jan 18 2011 blino <blino> 0.20.0-4.mga1
+ Revision: 23265
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-File-FnMatch

